{* Smarty *}
{if $ltid && $lid}
<h2>{$smarty.const.LN_LINK_NOTE}:</label></h2>
<p>{$smarty.const.LN_LINK_NOTE_EXPLANATION}</p>
<table>
<tbody>
	<tr>
		<td><label for="att">{$smarty.const.LN_NOTE}:</label></td>
		<td><input type="text" id="att" name="att" class="long" /></td>
	</tr>
</tbody>
</table>
{* To enable AJAX this div must have an id of 'ajaxnotes' *}
<div id="ajaxnotes"></div>
<h2>{$smarty.const.LN_NEW_NOTE}:</label></h2>
{/if}
<form action="{$smarty.const.CF_BASE_URL}addnote{if $ltid && $lid}/{$ltid}/{$lid}{/if}" method="post">
<input type="hidden" name="s" value="1" />
<p>{$smarty.const.LN_ADD_RECORD_EXPLANATION}</p>
<table>
<tbody>
	<tr>
		<td><label for="tr">{$smarty.const.LN_TREE}:</label></td>
		<td>{html_options name="tr" id="tr" options=$trees_list selected=$tree}<input type="text" name="nw" id="nw" value="{$new}" /></td>
	</tr>
	<tr>
		<td colspan="2"><label for="text">{$smarty.const.LN_NOTE}:</label><textarea name="text" id="text" class="tinymce long">{$note.text}</textarea></td>
	</tr>
	<tr>
		<td><label for="refn">{$smarty.const.LN_REFN}:</label></td>
		<td><input type="text" name="refn" id="refn" value="{$note.refn}" /></td>
	</tr>
	<tr>
		<td><label for="rin">{$smarty.const.LN_RIN}:</label></td>
		<td><input type="text" name="rin" id="rin" value="{$note.rin}" /></td>
	</tr>
	<tr>
		<td>{$smarty.const.LN_LINKED_TO}:</td>
		{* To enable AJAX this cell must have an id of "linked" *}
		<td id="linked">
			{if $note.linked}
				{if $note.linked.record == 'person'}<input type="checkbox" name="linked[]" id="linked-{$note.linked.itid}-{$note.linked.iid}" value="{$note.linked.itid},{$note.linked.iid}" checked="checked" /> <label for="linked-{$note.linked.itid}-{$note.linked.iid}">{$smarty.const.LN_PERSON}: <a href="{$note.linked.url}">{$note.linked.givn} {$note.linked.spfx_surn}</a> {if $note.linked.begi or $note.linked.end}({$note.linked.begi}-{$note.linked.end}){/if}</label><br />{/if}
				{if $note.linked.record == 'fam'}<input type="checkbox" name="linked[]" id="linked-{$note.linked.ftid}-{$note.linked.fid}" value="{$note.linked.ftid},{$note.linked.fid}" checked="checked" /> <label for="linked-{$note.linked.ftid}-{$note.linked.fid}">{$smarty.const.LN_FAMILY}: {if $note.linked.husb}<a href="{$note.linked.husb.url}">{$note.linked.husb.npfx} {$note.linked.husb.givn} {$note.linked.husb.spfx_surn} {$note.linked.husb.nsfx}</a>{/if} & {if $note.linked.wife}<a href="{$note.linked.wife.url}">{$note.linked.wife.npfx} {$note.linked.wife.givn} {$note.linked.wife.spfx_surn} {$note.linked.wife.nsfx}</a>{/if}</label><br />{/if}
				{if $note.linked.record == 'event'}<input type="checkbox" name="linked[]" id="linked-{$note.linked.etid}-{$note.linked.eid}" value="{$note.linked.etid},{$note.linked.eid}" checked="checked" /> <label for="linked-{$note.linked.etid}-{$note.linked.eid}">{$smarty.const.LN_EVENT}: <a href="{$note.linked.url}">{$note.linked.type}: {$note.linked.value} {$note.linked.date} {$note.linked.plac}</a></label><br />{/if}
				{if $note.linked.record == 'media'}<input type="checkbox" name="linked[]" id="linked-{$note.linked.otid}-{$note.linked.oid}" value="{$note.linked.otid},{$note.linked.oid}" checked="checked" /> <label for="linked-{$note.linked.otid}-{$note.linked.oid}">{$smarty.const.LN_MEDIA}: <a href="{$note.linked.url}">{$note.linked.titl}</a></label><br />{/if}
				{if $note.linked.record == 'note'}<input type="checkbox" name="linked[]" id="linked-{$note.linked.ntid}-{$note.linked.nid}" value="{$note.linked.ntid},{$note.linked.nid}" checked="checked" /> <label for="linked-{$note.linked.ntid}-{$note.linked.nid}">{$smarty.const.LN_NOTE}: <a href="{$note.linked.url}">{$note.linked.titl}</a></label><br />{/if}
				{if $note.linked.record == 'source'}<input type="checkbox" name="linked[]" id="linked-{$note.linked.stid}-{$note.linked.sid}" value="{$note.linked.stid},{$note.linked.sid}" checked="checked" /> <label for="linked-{$note.linked.stid}-{$note.linked.sid}">{$smarty.const.LN_SOURCE}: <a href="{$note.linked.url}">{$note.linked.abbr}</a></label><br />{/if}
				{if $note.linked.record == 'repository'}<input type="checkbox" name="linked[]" id="linked-{$note.linked.rtid}-{$note.linked.rid}" value="{$note.linked.rtid},{$note.linked.rid}" checked="checked" /> <label for="linked-{$note.linked.rtid}-{$note.linked.rid}">{$smarty.const.LN_REPOSITORY}: <a href="{$note.linked.url}">{$note.linked.name}</a></label><br />{/if}
			{/if}
		</td>
	</tr>
	<tr>
		<td></td>
		<td><input type="submit" name="submit" value="{$smarty.const.LN_SAVE}" /></td>
	</tr>
</tbody>
</table>
</form>
<h2>{$smarty.const.LN_ADD_LINKED_TO}:</label></h2>
<p>{$smarty.const.LN_LINKED_EXPLANATION}</p>
<table>
<tbody>
	<tr>
		<td><label for="asn">{$smarty.const.LN_SURNAME}:</label></td>
		<td><label for="agv">{$smarty.const.LN_GIVEN_NAMES}:</label></td>
		<td><label for="apl">{$smarty.const.LN_PLACE}:</label></td>
		<td><label for="add">{$smarty.const.LN_BETWEEN}:</label></td>
	</tr>
	<tr>
		<td><input type="text" id="asn" name="asn" /></td>
		<td><input type="text" id="agv" nname="agv" /></td>
		<td><input type="text" id="apl" nname="apl" /></td>
		<td>
			<input type="text" id="add" nname="add" maxlength="4" class="short" />
			<label for="addd">{$smarty.const.LN_AND}:</label>
			<input type="text" id="addd" nname="addd" maxlength="4" class="short" />
		</td>
	</tr>
</tbody>
</table>
{* To enable AJAX this div must have an id of 'ajax' *}
<div id="ajax"></div>